Endpoint: /lists/security/ssh/algorithms

Returns a list of ssh algorithms

  • GET

Method & URL

GET https://[server URL]:[port]/admin/v2/lists/security/ssh/algorithms

GET Body Sample

Copy
###
##Get Server SSH Security Settings
GET https://{{host}}/admin/v2/lists/security/ssh/algorithms HTTP/1.1
Authorization: EFTAdminAuthToken {{AuthToken}}

GET Response Body Sample

Copy
{ "data": { "attributes": { "algorithms": { "ciphers": [ "aes256-gcm@openssh.com", "aes256-ctr", 
"aes256-cbc", "rijndael-cbc@lysator.liu.se", "twofish256-cbc", "twofish-cbc", "aes192-ctr", 
"aes192-cbc", "aes128-gcm@openssh.com", "aes128-ctr", "aes128-cbc", "twofish128-cbc",

GET PowerShell Sample

Copy
###
#GET SSH ALOGRITHMS
Write-Output "Get EFT SSH ALGORITHMS"
$serverNodeID = "DTY2019WinServe"

Write-Output "Server Node: $serverNodeID"
Write-Output "-----"
$serverAdminDetails = Invoke-RestMethod -Uri "$baseURL/v2/lists/security/ssh/algorithms" 
-Method 'GET' -Headers $authHeader
Write-Output $serverAdminDetails | ConvertTo-Json -Depth 10